List task run events
Retrieves a list of events for a task run, identified by its ID.
addObject, deleteIndex, editSettingsAuthorizations
Your Algolia application ID.
Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.
Path Parameters
Unique identifier of a task run. Universally unique identifier (UUID) of a task run.
"6c02aeb1-775e-418e-870b-1faccd4b2c0f"
Query Parameters
Date and time in RFC 3339 format for the latest events to retrieve. By default, the current time is used.
Number of items per page.
1 <= x <= 100Sort order of the response, ascending or descending. Ascending or descending sort order.
asc, desc Page number of the paginated API response. Page of the API response to retrieve.
x >= 1Property by which to sort the list of task run events.
status, type, publishedAt Date and time in RFC 3339 format for the earliest events to retrieve. By default, the current time minus three hours is used.
Event status for filtering the list of task runs.
created, started, retried, failed, succeeded, critical Event type for filtering the list of task runs.
fetch, record, log, transform